@echo off
chcp 65001>NUL
rem setlocal && cd /D "%~dp0"
REM AYTO TO SCRIPT ΘΑ ΠΑΙΞΕΙ ΟΛΑ ΤΑ ΑΡΧΕΙΑ ΒΙΝΤΕΟ ΤΩΝ 4 ΤΥΠΩΝ ΒΙΝΤΕΟ ΤΟΥ OBS + 1 ΣΕ ΠΛΗΡΗ ΟΘΟΝΗ
REM [mp4,mov,mkv,flv & avi] ΠΟΥ ΒΡΙΣΚΟΝΤΑΙ ΣΤΟΝ ΚΑΤΑΛΟΓΟ-ΦΑΚΕΛΟ ΚΑΛΕΣΑΤΕ ΤΟ VIDMENU.BAT
REM ΑΝ ΘΕΛΕΤΕ ΚΑΙ ΑΛΛΟΥΣ ΤΥΠΟΥΣ ΒΙΝΤΕΟ ΑΠΛΑ ΤΟΥΣ ΠΡΟΣΘΕΤΕ ΜΕΣΑ ΣΤΗΝ ΠΑΡΕΝΘΕΣΗ. π.χ. *.wmv *.webm
REM ΓΙΑ ΝΑ ΒΓΕΙΤΕ ΑΠΟ ΤΗΝ ΠΛΗΡΗ ΟΘΟΝΗ ΠΑΤΗΣΤΕ ΤΟ F ΚΟΥΜΠΙ & Escape ΓΙΑ ΤΟ ΕΠΟΜΕΝΟ.
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 

echo.
set "outWIDTH=1280"
set /p outWIDTH=Γράψε τον Αριθμό των Pixel για την ΟΡΙΖΟΝΤΙΑ ανάλυση, π.χ. 640, αλλιώς Enter για default 1280:
echo.
echo.
set "outHEIGHT=720"
set /p outHEIGHT=Γράψε τον Αριθμό των Pixel για την ΚΑΘΕΤΗ ανάλυση π.χ. 360, αλλιώς Enter για default 720:
echo.


:FF

for /F tokens^=* %%i in ('dir /b *.mp4 *.mov *.mkv *.flv *.avi') do (

	echo.
	echo Παίζω το "%%i" ..
	echo.
	rem call ffmpeg -v quiet -stats -i "%%i" -q:a 0 -map_metadata 0 -id3v2_version 3 "%%~pi%%~ni-mp3.mp3"
	call ffplay -v quiet -stats -loglevel error  -x "%outWIDTH%" -y "%outHEIGHT%" "%%i"
    call vidChckCode.bat "%%i"
)

goto End

rem endlocal 

:End 
call vid0ends.bat
exit /b 0